package AlgLin;

public class IrregularSysLinException extends Exception{

	 // Ajout du champ serialVersionUID
    private static final long serialVersionUID = 1L;
    
    // Constructeur par défaut
    public IrregularSysLinException() {
        super("erreur par defaut"); // Appel du constructeur de la classe parente Exception
    }
    
    // Constructeur prenant un message en paramètre
    public IrregularSysLinException(String message) {
        super(message); // Appel du constructeur de la classe parente Exception
    }
    
    // Redéfinition de la méthode toString pour renvoyer un message précisant que le système est irrégulier
    @Override
    public String toString() {
        return "Le système est irrégulier : " + super.getMessage();
    }
}
